\usepackage[utf8]{inputenc}
\usepackage[german]{babel}
\usepackage{hyperref}

\usepackage{beamercmds}
\usepackage{listingcmds}

\AtBeginLecture{}

\AtBeginPart{
  \titleframe{\insertpart}
  \partcontentframe
}

\AtBeginSection{
  \sectioncontentframe
}

\AtBeginSubsection{
  \subsectioncontentframe
}

\title{Einführung in die Programmierung II}
\author{Reiner Hüchting}
